> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend Box Sign Request

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = href;
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

The <Link href="/reference/post-sign-requests-id-resend">resend a Box sign request endpoint</Link> can be used to resend request
emails to any remaining signers.

A Box Sign request cannot be resent if the <Link href="/guides/box-sign/create-sign-request/#request-status">status</Link> is: `signed`,
`cancelled`, `declined`, `expired`, `error_sending`, or `error_converting`.

If a Box Sign request was recently sent, you will need to wait 10 minutes before
resending. If you try before this time has passed you will receive a 400 error.

<Tip>
  Reminder emails can be enabled when creating a Box Sign request to avoid the
  need to resend the request.
</Tip>

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X POST "https://api.box.com/2.0/sign_requests/<SIGN_REQUEST_ID>/resend" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```java Java v5 theme={null}
  BoxSignRequest signRequest = new BoxSignRequest(api, id);
  BoxSignRequest.Info signRequestInfo = signRequest.getInfo();

  signRequestInfo.resend();
  ```

  ```python Python v4 theme={null}
  sign_request = client.sign_request(sign_request_id='12345')
  sign_request.resend()
  ```

  ```cs .NET v6 theme={null}
  await client.SignRequestsManager.ResendSignRequestAsync("12345");
  ```

  ```javascript Node v4 theme={null}
  const id = 12345;
  await client.signRequests.resendById({ sign_request_id: id });
  console.log(`Sign request id ${sr.id} resent`);
  ```
</CodeGroup>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("Resend Box Sign request"), href: "/reference/post-sign-requests-id-resend", badge: "POST" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Create Box Sign Request"), href: "/guides/box-sign/create-sign-request", badge: "GUIDE" },
{ label: translate("Cancel Box Sign Request"), href: "/guides/box-sign/cancel-sign-request", badge: "GUIDE" },
{ label: translate("Create Sign Request with Sign Template"), href: "/guides/box-sign/sign-templates", badge: "GUIDE" }
]}
/>
